<TeXmacs|1.0.2.1>

<style|tmweb>

<\body>
  <expand|tmweb-title|Computer algebra systems and
  <TeXmacs>|<apply|tmweb-plugin-links>>

  <section|Giac><label|giac>

  <hlink|<name|Giac>|http://www-fourier.ujf-grenoble.fr/~parisse/english.html>
  Is A Computer algebra system. The system has been designed by <name|Bernard
  Parisse> and is under active development.

  <section|GTybalt><label|gtybalt>

  <hlink|<name|GTybalt>|http://www.fis.unipr.it/~stefanw/gtybalt.html> is a
  free computer algebra system which is built on top of <name|GiNaC>, CLN and
  a program to interpret C and C++ commands. <name|gTybalt>, which is still
  in an experimental stage, is maintained by <hlink|<name|Stefan
  Weinzierl>|http://www.fis.unipr.it/~stefanw>. Some of the main features of
  <name|gTybalt> are the following:

  <\itemize>
    <item>Object Oriented: <name|gTybalt> allows symbolic calculations within
    the C++ programming language.

    <item>Efficiency for large scale problems: Solutions developed with
    <name|gTybalt> can be compiled with a C++ compiler and executed
    independently of <name|gTybalt>.

    <item>Short development cycle: <name|gTybalt> can interpret C++ and
    execute C++ scripts. Solutions can be developed quickly for small-scale
    problems, either interactively or through scripts, and once debugged, the
    solutions can be compiled and scaled up to large-scale problems.
  </itemize>

  <section|Macaulay 2><label|macaulay2>

  <hlink|<name|Macaulay 2>|http://www.math.uiuc.edu/Macaulay2> is a new
  software system devoted to supporting research in algebraic geometry and
  commutative algebra. The software is available now in source code for
  porting, and in compiled form for Linux, SunOS, Solaris, Windows, and a few
  other unix machines. An interface with <TeXmacs> is currently being
  implemented.

  <section|Maxima><label|maxima>

  <hlink|<name|Maxima>|http://www.ma.utexas.edu/users/wfs/maxima.html> is not
  only one of the oldest and best computer algebra systems around, it is also
  one of the only general purpose systems for which there is a free
  implementation. The free <name|Maxima> implementation is due to
  <hlink|<name|William F. Schelter>|http://www.ma.utexas.edu/users/wfs>. Here
  follow some features of <name|Maxima>:

  <\itemize>
    <item>Plotting via netmath over the network.

    <item>Computations over network

    <item>Well tested on a large array of problems.

    <item>Source level Debugger for maxima code

    <item>Documentation available as html, texinfo, info, dvi and postscript.
    The documentation can be read inside <TeXmacs>.

    <item>Easy to extend in fundamentally new ways, because you have complete
    access to source, and access to Common Lisp.

    <item>Portable to many systems.
  </itemize>

  <section|Pari><label|pari>

  <hlink|<name|Pari-gp>|http://www.parigp-home.de> is a software package for
  computer-aided number theory. It consists of a C library,
  <expand|code*|libpari> (with optional assembler cores for some popular
  architectures), and of the programmable interactive <kbd|gp> calculator.
  While you can write your own <expand|code*|libpari>-based programs, many
  people just start up a <kbd|gp> session, or have <kbd|gp> execute their
  scripts. Pari sessions can now be started inside <TeXmacs>.

  Originally developed at <hlink|Bordeaux|http://www.cribx1.u-bordeaux.fr/>
  by a team led by <hlink|<name|Henri Cohen>|http://www.math.u-bordeaux.fr/~cohen/>,
  PARI-GP is now maintained by <name|Karim Belabas> at the <hlink|Universit
  Paris-Sud Orsay|http://www.math.u-psud.fr/> with the help of many volunteer
  contributors.

  <section|Yacas><label|yacas>

  <hlink|<name|Yacas>|http://www.xs4all.nl/~apinkus/yacas.html> is, as it's
  name suggest, yet another computer algebra system. Things implemented
  include: arbitrary precision, rational numeric, vector, complex, and matrix
  computations (including inverses and determinants and solving matrix
  equations), derivatives, solving, Taylor series, numerical solving (Newtons
  method), and a lot more non-mathematical algorithms. The language natively
  supports variables and user-defined functions. There is basic support for
  univariate polynomials, integrating functions and tensor calculations.
  <name|Yacas> is still under development.

  <apply|tmdoc-copyright|1999--2003|Joris van der Hoeven>

  <expand|tmweb-license>
</body>

<\initial>
  <\collection>
    <associate|paragraph width|150mm>
    <associate|odd page margin|30mm>
    <associate|page right margin|30mm>
    <associate|page top margin|30mm>
    <associate|reduction page right margin|25mm>
    <associate|page type|a4>
    <associate|reduction page bottom margin|15mm>
    <associate|even page margin|30mm>
    <associate|reduction page left margin|25mm>
    <associate|page bottom margin|30mm>
    <associate|reduction page top margin|15mm>
    <associate|language|english>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|yacas|<tuple|6|?>>
    <associate|giac|<tuple|1|?>>
    <associate|gtybalt|<tuple|2|?>>
    <associate|pari|<tuple|5|?>>
    <associate|qcl|<tuple|6|?>>
    <associate|r|<tuple|6|?>>
    <associate|maxima|<tuple|4|?>>
    <associate|toc-1|<tuple|1|?>>
    <associate|macaulay2|<tuple|3|?>>
    <associate|toc-2|<tuple|2|?>>
    <associate|toc-3|<tuple|3|?>>
    <associate|toc-4|<tuple|4|?>>
    <associate|toc-5|<tuple|5|?>>
    <associate|octave|<tuple|5|?>>
    <associate|toc-6|<tuple|6|?>>
    <associate|toc-7|<tuple|7|?>>
    <associate|toc-8|<tuple|8|?>>
    <associate|toc-9|<tuple|9|?>>
  </collection>
</references>
